name: "uc1-kstreams"
appResource:
  - "uc1-kstreams-deployment.yaml"
  - "aggregation-service.yaml"
  - "jmx-configmap.yaml"
  - "uc1-service-monitor.yaml"
loadGenResource:
  - "uc1-load-generator-deployment.yaml"
  - "uc1-load-generator-service.yaml"
resourceTypes:
  - typeName: "Instances"
    patchers:
      - type: "ReplicaPatcher"
        resource: "uc1-kstreams-deployment.yaml"
loadTypes:
  - typeName: "NumSensors"
    patchers:
      - type: "EnvVarPatcher"
        resource: "uc1-load-generator-deployment.yaml"
        container: "workload-generator"
        variableName: "NUM_SENSORS"
      - type: "NumSensorsLoadGeneratorReplicaPatcher"
        resource: "uc1-load-generator-deployment.yaml"
kafkaConfig:
  bootstrapServer: "theodolite-cp-kafka:9092"
  topics:
    - name: "input"
      numPartitions: 40
      replicationFactor: 1